For the complete documentation index, see llms.txt. This page is also available as Markdown.

Check availability on a serial number for warehouse and product.

For products with SerialNoRequired = ON_RECEIVE. when availabilityType is not set, or DELIVER: Check if a serialnumber is in stock for a productUid and warehouseUid. Returns 200 if in stock, else 404. 200 is returned for all other products. when availabilityType = RECEIVE: Check if a serialnumber is NOT in stock for a productUid and warehouseUid. Returns 200 if not in stock, else 400. 200 is returned for all other products.

get
/tenants/{tenantUid}/stores/{storeUid}/warehouses/{warehouseUid}/stock/{productUid}/serialnumbers/{serialnumber}
Authorizations
AuthorizationstringRequired

Access token recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
storeUidstringRequired

Reference to a Store.

Pattern: ^[A-Za-z0-9-_]+
warehouseUidstringRequired

Reference to a Warehouse.

Pattern: ^[A-Za-z0-9-_]+
productUidstringRequired

Reference to a Product.

Pattern: ^[A-Za-z0-9-_]+
serialnumberstringRequired

Reference to a serialnumber.

Query parameters
availabilityTypestring · enumOptional
ENUMDescription
RECEIVE - Check for receive serial number
DELIVER - Check for deliver serial number
Possible values:
Responses
200

OK

No content

get/tenants/{tenantUid}/stores/{storeUid}/warehouses/{warehouseUid}/stock/{productUid}/serialnumbers/{serialnumber}
GET /v2/tenants/{tenantUid}/stores/{storeUid}/warehouses/{warehouseUid}/stock/{productUid}/serialnumbers/{serialnumber} HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

OK

No content

Last updated

Was this helpful?